## Library initialization

Library initialization — Library initialization and information

## Stability Level

Stable, unless otherwise indicated

## Functions

void | gda_init ()
void | gda_locale_changed ()
gchar * | gda_get_application_exec_path ()

## Includes

    #include <virtual/gda-ldap-connection.h>

## Description

## Functions

### gda_init ()

    void
    gda_init (void);

Initializes the GDA library, must be called prior to any Libgda usage.

Please note that if you call `setlocale()` to modify the current locale, you should also call `gda_locale_changed()` before using Libgda again.

### gda_locale_changed ()

    void
    gda_locale_changed (void);

Call this function whenever the `setlocale()` function has been called to change the current locale; this function is first called by `gda_init()` so you don't need to call it if you have set the locale before calling `gda_init()`.

Failing to call this function after having changed the current locale may result in Libgda reverting to the previous set locale.

Since: 4.2.3

### gda_get_application_exec_path ()

    gchar *
    gda_get_application_exec_path (const gchar *app_name);

Find the path to the application identified by `app_name` . For example if the application is "gda-sql", then calling this function will return "/your/prefix/bin/gda-sql-5.0" if Libgda is installed in the "/your/prefix" prefix (which would usually be "/usr"), and for the ABI version 5.0.

#### Parameters

app_name | the name of the application to find |

#### Returns

the path as a new string, or `NULL` if the application cannot be found.

[transfer full]

## Types and Values